API Documentation |
ZoomPanCanvas

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class ZoomPanCanvas
Inheritance | ZoomPanCanvas mx.containers.Canvas

Public Properties

| Property | Defined By
--- | --- | ---
|  | dataProvider : Array [write-only] | ZoomPanCanvas

Public Methods

| Method | Defined By
--- | --- | ---
|  | ZoomPanCanvas() | ZoomPanCanvas
|  | addListener():void | ZoomPanCanvas
|  | getBitmap():Bitmap | ZoomPanCanvas
|  | getRectangle():Rectangle | ZoomPanCanvas
|  | removeListener():void | ZoomPanCanvas

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | ZoomPanCanvas
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void [override] | ZoomPanCanvas

Property Detail

dataProvider | property

`dataProvider:Array` [write-only]

Implementation
`public function set dataProvider(value:Array):void`
Constructor Detail

ZoomPanCanvas | () | Constructor

`public function ZoomPanCanvas()`

Method Detail

addListener | () | method

`public function addListener():void`

createChildren | () | method |

`override protected function createChildren():void`

getBitmap | () | method |

`public function getBitmap():Bitmap`

Returns

| `Bitmap`

getRectangle | () | method |

`public function getRectangle():Rectangle`

Returns

| `Rectangle`

removeListener | () | method |

`public function removeListener():void`

updateDisplayList | () | method |

`override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void`

Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Mon Oct 17 2011, 09:13 PM -04:00